NewWacht Bench is live — AI-assisted development for Wacht

List Actor Mcp Servers

GET
/ai/actor-mcp-servers

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Query Parameters

actor_id*integer

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.wacht.dev/ai/actor-mcp-servers?actor_id=0"
{
  "data": [
    {
      "id": 0,
      "name": "string",
      "endpoint": "string",
      "auth_type": "string",
      "requires_user_connection": true,
      "connection_status": "string",
      "connected_at": null,
      "expires_at": null
    }
  ],
  "total": 0,
  "offset": 0,
  "limit": 0
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}